XSLTInInterceptor (Apache CXF JavaDoc 4.1.0-SNAPSHOT API)
Description: declaration: package: org.apache.cxf.feature.transform, class: XSLTInInterceptor

Package org.apache.cxf.feature.transform

# Class XSLTInInterceptor

java.lang.Object
org.apache.cxf.phase.AbstractPhaseInterceptor<Message>
org.apache.cxf.feature.transform.AbstractXSLTInterceptor
org.apache.cxf.feature.transform.XSLTInInterceptor

All Implemented Interfaces:
  `Interceptor<Message>`, `PhaseInterceptor<Message>`

public class XSLTInInterceptor extends AbstractXSLTInterceptor
Class provides XSLT transformation of incoming message. Actually it breaks streaming (can be fixed in further versions when XSLT engine supports XML stream)

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `XSLTInInterceptor(String xsltPath)`
  `XSLTInInterceptor(String phase, Class<?> before, Class<?> after, String xsltPath)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `handleMessage(Message message)`
  Intercepts a message.
  `protected void`
  `transformIS(Message message, InputStream is)`
  `protected void`
  `transformReader(Message message, Reader reader)`
  `protected void`
  `transformXReader(Message message, XMLStreamReader xReader)`

  ### Methods inherited from class org.apache.cxf.feature.transform.AbstractXSLTInterceptor

  `checkContextProperty, getXSLTTemplate, setContextPropertyName`

  ### Methods inherited from class org.apache.cxf.phase.AbstractPhaseInterceptor

  `addAfter, addAfter, addBefore, addBefore, getAdditionalInterceptors, getAfter, getBefore, getId, getPhase, handleFault, isGET, isRequestor, setAfter, setBefore`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### XSLTInInterceptor

    public XSLTInInterceptor(String xsltPath)

  - ### XSLTInInterceptor

    public XSLTInInterceptor(String phase, Class<?> before, Class<?> after, String xsltPath)

- ## Method Details

  - ### handleMessage

    public void handleMessage(Message message)
    Description copied from interface: `Interceptor`
    Intercepts a message. Interceptors should NOT invoke handleMessage or handleFault on the next interceptor - the interceptor chain will take care of this.

  - ### transformXReader

    protected void transformXReader(Message message, XMLStreamReader xReader)

  - ### transformIS

    protected void transformIS(Message message, InputStream is)

  - ### transformReader

    protected void transformReader(Message message, Reader reader)